%define debug_package %{nil}


%define __USE_SCL	0
%if  0%{?centos} == 6
%ifarch x86_64
%define __USE_SCL	1
%define  __os_install_post	\
	    /usr/lib/rpm/redhat/brp-compress; \
	    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}}; \
	    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip}; \
	    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump}; \
	    echo /usr/lib/rpm/brp-python-bytecompile python27 | scl enable %{PYTHON} - ; \
	    /usr/lib/rpm/redhat/brp-python-hardlink; \
	    %{!?__jar_repack:/usr/lib/rpm/redhat/brp-java-repack-jars}

%endif
%endif

%if %{__USE_SCL}
	%define POSTGRESQL postgresql92
	%define PYTHON     python27
	%define _scl_prefix /opt/rh
	%define python_sitelib_old_1 %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
	%define python_sitelib_old_2 %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")
	%define python_sitelib	     %(echo python -c '"from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)"' | scl enable %{PYTHON} -)
%else
	%define python_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%endif

Summary:	IP Association Library
Name:		libipa
Version:	0.5.2
Release:	3%{?dist}
Group:		Applications/System
License:	LGPLv2
Source:		ipa-%{version}.tar.gz
Patch1:		ipa-%{version}-patch-001
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL:		http://tools.netsa.cert.org/ipa
Vendor:		CERT Network Situational Awareness <netsa-help@cert.org>
Provides:	libipa = %{version}
Requires:	glib2 >= 2.6
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	glib2-devel > 2.6
BuildRequires:	netsa-python > 1.3
%if %{?__USE_SCL}
BuildRequires: %{POSTGRESQL}-postgresql-devel
Requires:      %{POSTGRESQL}-postgresql-libs
%else
BuildRequires:	postgresql-devel
Requires:	postgresql-libs
%endif
BuildRequires:	perl-Pod-Html

%description
IPA (IP Association) is a library for maintaining associations between IP
addresses and any number of labels which categorize those addresses.

%package devel
Summary: Static libraries and C header files for libipa
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig >= 1:0.8

%description devel
Static libraries and C header files for libipa.


%define want_python 1
%{!?_with_python: %{!?_without_python: %define _with_python --with-python}}

%if %{?_with_python:1}%{!?_with_python:0}
%package -n %{name}-python
Summary: Python interface to IPA
Group: Development/Libraries
Provides: ipa-python = %{version}
Requires: python >= 2.4
Requires: netsa-python >= 1.3
%description -n %{name}-python
Python interface to IPA
%endif

%prep
%setup -q -n ipa-%{version}
%patch1 -p1

%build
%if 0%{?__USE_SCL} > 0
export PYTHONPATH=%{python_sitelib}:%{python_sitelib_old_1}:%{python_sitelib_old_2}
source %_scl_prefix/%{POSTGRESQL}/enable
source %_scl_prefix/%{PYTHON}/enable
%configure \
	    --disable-static \
	    --with-bundled-libairdbc \
	    --with-postgresql \
	    %{?_with_python} %{?_without_python} 
%{__make}
%else
%configure \
    --disable-static \
    --with-bundled-libairdbc \
    --with-postgresql \
    %{?_with_python} %{?_without_python}
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%if %{__USE_SCL}
	export PYTHONPATH=%{python_sitelib}:%{python_sitelib_old_1}:%{python_sitelib_old_2}
	echo make DESTDIR=%{?buildroot:%{buildroot}} install | scl enable %{POSTGRESQL} %{PYTHON} -
	mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
	echo printenv | scl enable %{POSTGRESQL} -| sed -n 's/LD_LIBRARY_PATH=//p' > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

%else
	make DESTDIR=%{?buildroot:%{buildroot}} install
%endif
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
#./libtool --finish %{buildroot}%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libipa*.so*
%{_libdir}/libairdbc*.so*
%{_bindir}/ipaimport
%{_bindir}/ipaexport
%{_bindir}/ipaquery
%doc %{_mandir}/man1/*.1*
%if %{__USE_SCL}
%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%endif
%doc sql/

%files -n %{name}-devel
%defattr(-,root,root)
#%doc doc/html
%{_includedir}/*
%{_libdir}/pkgconfig/*

%if %{?_with_python:1}%{!?_with_python:0}
%files -n libipa-python
%defattr(-, root, root)
%dir %{python_sitelib}/ipa
%{python_sitelib}/ipa/*
%{python_sitelib}/*egg-info
%endif

%changelog
* Mon Oct 28 2019 Lawrence R. Rogers <lrr@cert.org> 0.5.2-3
- Renamed to libipa due to conflicts in CentOS/RHEL 8

* Mon Mar 24 2014 Lawrence R. Rogers <lrr@cert.org> 0.5.2-2
- Rebuild to use postgresql

* Thu Aug 25 2011 Tony Cebzanov <tonyc@cert.org> 0.5.2
- Add netsa-python, remove libairdbc dependencies

* Wed Jul 23 2008 Tony Cebzanov <tonyc@cert.org> 0.3.0
- Rewrite of spec file for IPA 0.3.0 release.
